GNU Radio's TEST Package

Classes | Typedefs | Functions
hackrf_sink_c.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <condition_variable>`
`#include <mutex>`
`#include <libhackrf/hackrf.h>`
`#include "sink_iface.h"`
`#include "hackrf_common.h"`

Go to the source code of this file.

## Classes
struct | circular_buffer
class | hackrf_sink_c

## Typedefs
typedef struct circular_buffer | circular_buffer_t

## Functions
hackrf_sink_c_sptr | make_hackrf_sink_c (const std::string &args="")
| Return a shared_ptr to a new instance of hackrf_sink_c. More...

## Typedef Documentation

## ◆ circular_buffer_t

typedef struct circular_buffer circular_buffer_t

## Function Documentation

## ◆ make_hackrf_sink_c()

hackrf_sink_c_sptr make_hackrf_sink_c | ( | const std::string & | args = `""` | ) |

Return a shared_ptr to a new instance of hackrf_sink_c.

To avoid accidental use of raw pointers, hackrf_sink_c's constructor is private. make_hackrf_sink_c is the public interface for creating new instances.